[package]
name = "ghost-nomination-pools-fuzzer"
version = "2.0.0"
authors.workspace = true
edition.workspace = true
license = "Apache-2.0"
homepage = "https://substrate.io"
repository.workspace = true
description = "Fork of Fuzzer for fixed point arithmetic primitives."
documentation = "https://docs.rs/sp-arithmetic-fuzzer"
publish = false

[dependencies]
honggfuzz = "0.5.54"

ghost-nomination-pools = { workspace = true, features = ["fuzzing"] }

frame-system = { workspace = true }
frame-support = { workspace = true }

sp-runtime = { workspace = true }
sp-io = { workspace = true }
sp-tracing = { workspace = true }

rand = { workspace = true, features = ["small_rng"] }
log = { workspace = true, default-features = true }

[[bin]]
name = "call"
path = "src/call.rs"
